phina.globalize(); // phina.jsがこれで使えるようになります。

let SCREEN_X = 800;    // ゲーム画面の横サイズ
let SCREEN_Y = 600;    // ゲーム画面の縦サイズ
let scale = 1;

// こんな感じで画像や音のファイルを指定します
let ASSETS = {
  image:{
    white:"img/te01.png",    // 赤い四角形の画像 imgフォルダーにあります
  },
};

phina.define('MainScene', {
  superClass: 'DisplayScene',
  init: function(option) {     // ここでオプションとして横サイズ、縦サイズを指定します。
    this.superInit(option); 
    this.width = SCREEN_X;
    this.height = SCREEN_Y;
    this.backgroundColor = 'black';             // 背景色を黒として指定しています。
    let player = Sprite("white", 162, 199)      // 赤い四角形の画像の設定
	.addChildTo(this)
	.setPosition(this.gridX.center(), this.gridY.center())
	.setScale(scale);
  },
});
    
// ここがゲームスタートの入り口です
// ここは、参考にしたプログラムをそのままコピペしました。
phina.main(function() {
  let app = GameApp({
    startLabel: 'main', 
    width: SCREEN_X,
    height: SCREEN_Y,
    assets: ASSETS,       // 一番上で指定した画像とかを読み込み
  });
  app.run();
});